proc pnsynth {} {
  cd C:/a_RefDesign/MAXREFDES14_Sonoma/RD14_LX9_V01_00/Design_Files/system
  if { [ catch { xload xmp system.xmp } result ] } {
    exit 10
  }
  if { [catch {run netlist} result] } {
    return -1
  }
  return $result
}
if { [catch {pnsynth} result] } {
  exit -1
}
exit $result
